/*
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id:$
 */
package com.sun.ts.tests.servlet.api.javax_servlet_http.httpservletrequest30;


import com.sun.ts.tests.servlet.common.util.ServletTestUtil;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.http.HttpServlet;

public class LoginTestServlet extends HttpServlet {

    public void service(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        PrintWriter pw = response.getWriter();
        Boolean passed = true;
        String name = null;
        String passwd = null;

        try {
            request.login(name, passwd);
            passed = false;
            pw.println("Test Failed. ");
                    pw.println("Expected ServletException not thrown");          
        } catch (ServletException ex ) {            
            pw.println("Test Passed.");
            pw.println("Expected ServletException thrown: " + ex.getMessage());
        } catch (Exception oex) {
            passed = false;
            pw.println("Test Failed.");
            pw.print("Unexpected Exception thrown: " + oex.getMessage());         
        }
        ServletTestUtil.printResult(pw, passed);
    }
}
